<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.flossom.common.core.mapper.SiteInfoInstrumentMapper">

    <resultMap type="SiteInfoInstrument" id="SiteInfoInstrumentResult">
        <result property="id"    column="id"    />
        <result property="siteId"    column="site_id"    />
        <result property="instrumentId"    column="instrument_id"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
    </resultMap>

    <sql id="selectSiteInfoInstrumentVo">
        select id, site_id, instrument_id, create_by, create_time, update_by, update_time from site_info_instrument
    </sql>

    <select id="selectSiteInfoInstrumentList" parameterType="SiteInfoInstrument" resultMap="SiteInfoInstrumentResult">
        <include refid="selectSiteInfoInstrumentVo"/>
        <where>
            <if test="siteId != null "> and site_id = #{siteId}</if>
            <if test="instrumentId != null "> and instrument_id = #{instrumentId}</if>
        </where>
    </select>

    <select id="selectSiteInfoInstrumentById" parameterType="Long" resultMap="SiteInfoInstrumentResult">
        <include refid="selectSiteInfoInstrumentVo"/>
        where id = #{id}
    </select>

    <insert id="insertSiteInfoInstrument" parameterType="SiteInfoInstrument">
        insert into site_info_instrument
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">id,</if>
            <if test="siteId != null">site_id,</if>
            <if test="instrumentId != null">instrument_id,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">#{id},</if>
            <if test="siteId != null">#{siteId},</if>
            <if test="instrumentId != null">#{instrumentId},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
         </trim>
    </insert>

    <update id="updateSiteInfoInstrument" parameterType="SiteInfoInstrument">
        update site_info_instrument
        <trim prefix="SET" suffixOverrides=",">
            <if test="siteId != null">site_id = #{siteId},</if>
            <if test="instrumentId != null">instrument_id = #{instrumentId},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteSiteInfoInstrumentById" parameterType="Long">
        delete from site_info_instrument where id = #{id}
    </delete>

    <delete id="deleteSiteInfoInstrumentByIds" parameterType="String">
        delete from site_info_instrument where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>
